
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "sumcli/version"

Gem::Specification.new do |spec|
  spec.name          = "sumcli"
  spec.license       = "MIT"
  spec.version       = Sumcli::VERSION
  spec.authors       = ["Rodrigo Alves", "Danilo Lima", "Lucas Mari"]
  spec.email         = ["rodrigo.souza@sumup.com", "danilo.lima@sumup.com", "lucas.mari@sumup.com"]

  spec.summary       = %q{Scaffolds SumUp microservices code.}
  spec.description   = %q{Scaffolds SumUp microservices code.}
  spec.homepage      = "https://rubygems.org/gems/sumcli"


  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "tty-command", "~> 0.8.0"
  spec.add_dependency "tty-file", "~> 0.7.0"
  spec.add_dependency "pastel", "~> 0.7.2"
  spec.add_dependency "thor", "~> 0.20.0"
  spec.add_dependency 'activesupport', '~> 5.0'

  spec.add_development_dependency "bundler", "~> 1.17"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
end
